Description

Instead of going through the motion of selecting a column, bringing up the annotation page, then bringing up the ontology browser,
we should be able to bring up the ontology browser for the cell selected in the annotation table (say they clicked on the Characteristic
row for a given data column).

All the rest of the annotation model would be taken care of behind the scenes.

History

#1 - 02/04/2010 03:02 PM - ben leinfelder

Double click on the cell you want to edit:

-if there's an existing value, the ontology browser opens to that selected class

-if there is no existing observation/measurement the underlying annotation model is created (just as if the "annotate current column" had been
invoked.

TODO: allow values to be blank so that you can actually remove/undo selections you've made

#2 - 02/04/2010 03:41 PM - ben leinfelder

Now if you don't select a class in the ontology browser (actually it's not that easy to do since you have to cntrl+click to deselect anything) the
corresponding class will be set to null - essentially blanking out the annotation for that aspect of the attribute.

This is not the same as removing the Measurement or the Observation. Those objects stick around forever. So the real "TODQO" is to add a removal
menu option for deleting measurements and observations from the annotation model.

#3 - 02/05/2010 09:13 AM - ben leinfelder

hey, look at that, this is done.

#4 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4732
